Skip to content
Last updated

Get External Accounts By ID

This endpoint allows you to retrieve a specific ShipStation API account using its external_account_id, which is your own unique ID for the account. This saves you from needing to store our ShipStation API ID for each account.

Example Request & Response

GET /v1/partners/accounts/external_account_id/:external_account_id

GET /v1/partners/accounts/external_account_id/819748723192 HTTP/1.1
Host: api.shipengine.com
API-Key: __PARTNER_API_KEY_HERE__

Example response:

{
  "account_id": 123456,
  "external_account_id": "819748723192",
  "created_at": "2022-12-04T23:06:39.197Z",
  "modified_at": "2022-12-04T23:06:39.197Z",
  "active": true,
  "email": "819748723192@acme.corp",
  "company_name": "Acme Corp.",
  "first_name": "John",
  "last_name": "Doe",
  "origin_country_code": "US"
}